Bug 398431 - Review Request: libnids - Implementation of an E-component of Network Intrusion Detection System
Review Request: libnids - Implementation of an E-component of Network Intrusi...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 399461
  Show dependency treegraph
 
Reported: 2007-11-25 10:59 EST by Robert Scheck
Modified: 2007-12-03 16:50 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-03 16:50:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Robert Scheck 2007-11-25 10:59:46 EST
Spec URL: http://labs.linuxnetz.de/bugzilla/libnids.spec
SRPM URL: http://labs.linuxnetz.de/bugzilla/libnids-1.22-1.src.rpm
Description: Libnids is an implementation of an E-component of Network 
Intrusion Detection System. It emulates the IP stack of Linux 2.x and
offers IP defragmentation, TCP stream assembly and TCP port scan detection.
Using libnids, one has got a convenient access to data carried by a TCP
stream, no matter how artfully obscured by an attacker.
Comment 1 Parag AN(पराग) 2007-11-25 22:49:50 EST
any reason to only specify .h file in BR and not libpcap-devel?
Comment 2 Robert Scheck 2007-11-26 02:11:57 EST
Yes, because /usr/include/pcap.h moved in the past from libpcap to the
libpcap-devel package and it is an easy and allowed way to include just
the header file to detect the correct package automatically. I know, I
could work with conditionals, but, at least from my point of view, both 
solutions don't give them each anything. And so, I can use the same spec
file for EPEL as well without thinking about where the pcap.h is located.
Comment 3 Parag AN(पराग) 2007-11-26 04:03:19 EST
(In reply to comment #2)
> Yes, because /usr/include/pcap.h moved in the past from libpcap to the
> libpcap-devel package and it is an easy and allowed way to include just
> the header file to detect the correct package automatically. I know, I
> could work with conditionals, but, at least from my point of view, both 
> solutions don't give them each anything. And so, I can use the same spec
> file for EPEL as well without thinking about where the pcap.h is located.

Then its ok.
Comment 4 Parag AN(पराग) 2007-11-26 04:07:01 EST
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
811b31c7a1c4c96442807913b5eb1c95  libnids-1.22.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ BuildRequires are proper.
+ Compiler flags used correctly.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no static libraries.
+ no .pc file present.
+ -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ ldconfig scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Package libnids-1.22-1.fc9 ->
  Provides: libnids.so.1.21
  Requires: libc.so.6 libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.1)
libc.so.6(GLIBC_2.1.3) libc.so.6(GLIBC_2.3) libc.so.6(GLIBC_2.3.4)
libc.so.6(GLIBC_2.4) libglib-2.0.so.0 libgthread-2.0.so.0 libnsl.so.1
libpcap.so.0.9 libpthread.so.0 libpthread.so.0(GLIBC_2.0) librt.so.1
+ Package libnids-devel-1.22-1.fc9 ->
  Requires: libnids = 1.22-1.fc9 libnids.so.1.21
+ Not a GUI App.

SHOULD: 
1) According to
http://fedoraproject.org/wiki/Packaging/SourceURL#head-e27982f18a3bfd26b5b6ecbee113d2d8f3f006f2
you need to change Source URL.

2) Good to have defattr usage as defattr(-,root,root,-)

You can do above at time of cvs import also.

APPROVED.
Comment 5 Robert Scheck 2007-11-26 05:12:37 EST
Parag, I'll have a look to that before importing it to CVS.

New Package CVS Request
=======================
Package Name: libnids
Short Description: Implementation of an E-component of Network Intrusion
Detection System
Owners: robert
Branches: F-7 F-8 EL-4 EL-5
InitialCC: 
Cvsextras Commits: no
Comment 6 Kevin Fenzi 2007-11-26 12:49:58 EST
cvs done.
Comment 7 Robert Scheck 2007-12-03 16:50:19 EST
 37242 (libnids): Build on target fedora-4-epel succeeded.
 37241 (libnids): Build on target fedora-5-epel succeeded.

Package: libnids-1.22-3.fc7 Tag: dist-fc7-updates-candidate Status: complete
Package: libnids-1.22-3.fc8 Tag: dist-f8-updates-candidate Status: complete
Package: libnids-1.22-3.fc9 Tag: dist-f9 Status: complete

Note You need to log in before you can comment on or make changes to this bug.